package network.protocol.packets;

import network.protocol.Packet;
import network.protocol.PacketVisitor;
import network.protocol.Packets;

public class UpdatePlayerScorePacket extends Packet {

	static private final long serialVersionUID = Packets.UpdatePlayerScore.ordinal();

	private final int playerId;
	private final int cellsLeft;

	public UpdatePlayerScorePacket(int playerId, int cellsLeft) {
		this.playerId = playerId;
		this.cellsLeft = cellsLeft;
	}

	public int getPlayerId() {
		return playerId;
	}

	public int getCellsLeft() {
		return cellsLeft;
	}

	@Override
	public void accept(PacketVisitor packetVisitor) {
		packetVisitor.visitPacket(this);
	}

}
